ошибки при установке приложений ✓ ЕСТЬ ОТВЕТ

Здесь обсуждается форумный движок phpBB различных версий. В дальнейшем, если понадобится, форум будет вынесен в отдельный подраздел и разбит на категории.
Ответить

Автор темы
I Am
Интересующийся
Сообщения: 25
Зарегистрирован: 23 июл 2018, 16:54
Репутация: 0
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#1

Сообщение I Am » 24 июл 2018, 14:45

Ребята подскажите пожалуйста начал устанавливать приложения , но получилась сразу ошибка после нажатия на кнопку включить .
пдскажите как решить вопрос ?
на хостинге написали "Попробуйте для начала понизить версию php с 7.1 до 5.6."
а как это сделать я не в курсе ....

Uncaught TypeError: Argument 5 passed to pico\autodbbackup\cron\task\auto_db_backup::__construct() must be an instance of phpbb\db\tools, instance of phpbb\db\tools\tools given, called in /var/www/vh235176/data/www/ponaehali.us/cache/production/container_4335734bbdd20f586549a504dff5f80c.php on line 2766 and defined in /var/www/vh235176/data/www/ponaehali.us/ext/pico/autodbbackup/cron/task/auto_db_backup.php:26 Stack trace: #0 /var/www/vh235176/data/www/ponaehali.us/cache/production/container_4335734bbdd20f586549a504dff5f80c.php(2766): pico\autodbbackup\cron\task\auto_db_backup->__construct('./', 'php', Object(phpbb\config\db), Object(phpbb\db\driver\factory), Object(phpbb\db\tools\tools), Object(phpbb\log\log), Object(phpbb\user)) #1 /var/www/vh235176/data/www/ponaehali.us/vendor/symfony/dependency-injection/Container.php(297): phpbb_cache_container->getPico_Autodbbackup_Cron_Task_Core_AutoDbBackupService() #2 /var/www/vh235176/data/www/ponaehali.us/vendor/symfony/dependency-injection/ContainerBuilder.php(442 in /var/www/vh235176/data/www/ponaehali.us/ext/pico/autodbbackup/cron/task/auto_db_backup.php on line 26

ЛУЧШИЙ ОТВЕТ DesignerMix » 24 июл 2018, 17:41
I Am, ааа, я вспомнил... Начинаю с какой-то версии phpBB расширение autodbbackup от pico перестало поддерживаться и теперь не работает (т.е. оно работает, но на старых версиях phpBB, как минимум гарантированно на phpBB 3.1.2)...

Я себе вместо него поставил вот это - https://github.com/david63/david63-auto ... master.zip (его кидайте в папку ../ext/david63/autodbbackup)
ПЕРЕЙТИ К ПОЛНОМУ СООБЩЕНИЮ ➙

Теги:

Аватара пользователя

DesignerMix
Администратор
Администратор
Сообщения: 6376
Зарегистрирован: 25 апр 2014, 10:51
Есть ответ: 218
Репутация: 734
Откуда: Белгород
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#2

Сообщение DesignerMix » 24 июл 2018, 14:57

I Am, какая версия phpBB и какая версия расширения autodbbackup?


Автор темы
I Am
Интересующийся
Сообщения: 25
Зарегистрирован: 23 июл 2018, 16:54
Репутация: 0
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#3

Сообщение I Am » 24 июл 2018, 15:10

DesignerMix писал(а):
24 июл 2018, 14:57
I Am, какая версия phpBB и какая версия расширения autodbbackup?
был php 7.1 поменял на 5.6 , проблема не ушла (
https://www.phpbb.com/customise/db/exte ... _backup_2/
версия скаченна по этой ссылке 1.1.0

Аватара пользователя

DesignerMix
Администратор
Администратор
Сообщения: 6376
Зарегистрирован: 25 апр 2014, 10:51
Есть ответ: 218
Репутация: 734
Откуда: Белгород
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#4

Сообщение DesignerMix » 24 июл 2018, 15:12

I Am писал(а):
24 июл 2018, 15:10
был php 7.1 поменял на 5.6 , проблема не ушла (
какая версия phpBB??


Автор темы
I Am
Интересующийся
Сообщения: 25
Зарегистрирован: 23 июл 2018, 16:54
Репутация: 0
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#5

Сообщение I Am » 24 июл 2018, 15:14

версия 3.2.2 (последняя)
вот, что получилось после изменения php на 5.6

Catchable fatal error: Argument 5 passed to pico\autodbbackup\cron\task\auto_db_backup::__construct() must be an instance of phpbb\db\tools, instance of phpbb\db\tools\tools given, called in /var/www/vh235176/data/www/ponaehali.us/cache/production/container_4335734bbdd20f586549a504dff5f80c.php on line 2766 and defined in /var/www/vh235176/data/www/ponaehali.us/ext/pico/autodbbackup/cron/task/auto_db_backup.php on line 26

Аватара пользователя

DesignerMix
Администратор
Администратор
Сообщения: 6376
Зарегистрирован: 25 апр 2014, 10:51
Есть ответ: 218
Репутация: 734
Откуда: Белгород
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#6

Сообщение DesignerMix » 24 июл 2018, 16:51

Верните на php 7.1. У меня ощущение что вы как-то не так разархивировали расширение, попробуйте разархивировать еще раз (думаю что сейчас не все файлы расширения на своих местах)


Автор темы
I Am
Интересующийся
Сообщения: 25
Зарегистрирован: 23 июл 2018, 16:54
Репутация: 0
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#7

Сообщение I Am » 24 июл 2018, 17:09

в файле указано : "name": "pico/autodbbackup",
у меня на хостинге :ext/pico/autodbbackup

Отправлено спустя 4 минуты 4 секунды:
но там все файлы с папки ,
но сейчас смотрю и вижу что походу надо их вразные папки всовывать но немогу понять какие именно в ext/pico/autodbbackup оставить а какие в другие папки
просто у вас в видео біло сазано, что все файлы , ну я так и сделал)

Аватара пользователя

DesignerMix
Администратор
Администратор
Сообщения: 6376
Зарегистрирован: 25 апр 2014, 10:51
Есть ответ: 218
Репутация: 734
Откуда: Белгород
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#8

Сообщение DesignerMix » 24 июл 2018, 17:41

I Am, ааа, я вспомнил... Начинаю с какой-то версии phpBB расширение autodbbackup от pico перестало поддерживаться и теперь не работает (т.е. оно работает, но на старых версиях phpBB, как минимум гарантированно на phpBB 3.1.2)...

Я себе вместо него поставил вот это - https://github.com/david63/david63-auto ... master.zip (его кидайте в папку ../ext/david63/autodbbackup)


Автор темы
I Am
Интересующийся
Сообщения: 25
Зарегистрирован: 23 июл 2018, 16:54
Репутация: 0
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#9

Сообщение I Am » 24 июл 2018, 18:20

DesignerMix писал(а):
24 июл 2018, 17:41
I Am, ааа, я вспомнил... Начинаю с какой-то версии phpBB расширение autodbbackup от pico перестало поддерживаться и теперь не работает (т.е. оно работает, но на старых версиях phpBB, как минимум гарантированно на phpBB 3.1.2)...

Я себе вместо него поставил вот это - https://github.com/david63/david63-auto ... master.zip (его кидайте в папку ../ext/david63/autodbbackup)
а из списка модулей под видео , есть еще какието изменения к версии пхпбб 3.2.2 ? или все остальніе можно устанавливать?

Отправлено спустя 37 минут :
После удаления , и включения нового скрипта, появилась такая вот картина по поводу использования пред идущего ...
Вложения
12321321.JPG

Аватара пользователя

DesignerMix
Администратор
Администратор
Сообщения: 6376
Зарегистрирован: 25 апр 2014, 10:51
Есть ответ: 218
Репутация: 734
Откуда: Белгород
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#10

Сообщение DesignerMix » 24 июл 2018, 19:22

I Am писал(а):
24 июл 2018, 18:57
После удаления , и включения нового скрипта, появилась такая вот картина по поводу использования пред идущего ...
а файл на который ссылается ошибка есть в папке? Расширение нужно было удалить из админки, а потом удалять его файлы!
I Am писал(а):
24 июл 2018, 18:57
или
I Am писал(а):
24 июл 2018, 18:57
а из списка модулей под видео , есть еще какието изменения к версии пхпбб 3.2.2 ? или все остальніе можно устанавливать?
Читайте описания к расширениям, для той версии phpBB которую я обозревал все расширения подходят, а для последней не все, но какие точно я проверять за вас не буду.


Автор темы
I Am
Интересующийся
Сообщения: 25
Зарегистрирован: 23 июл 2018, 16:54
Репутация: 0
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#11

Сообщение I Am » 24 июл 2018, 19:23

DesignerMix писал(а):
24 июл 2018, 19:22
а файл на который ссылается ошибка есть в папке? Расширение нужно было удалить из админки, а потом удалять его файлы!
именно так и сделал ... но ошибка появилась после того как я закачал другую версию под 3,2,2

Аватара пользователя

DesignerMix
Администратор
Администратор
Сообщения: 6376
Зарегистрирован: 25 апр 2014, 10:51
Есть ответ: 218
Репутация: 734
Откуда: Белгород
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#12

Сообщение DesignerMix » 24 июл 2018, 19:42

DesignerMix писал(а):
24 июл 2018, 19:22
а файл на который ссылается ошибка есть в папке?


Автор темы
I Am
Интересующийся
Сообщения: 25
Зарегистрирован: 23 июл 2018, 16:54
Репутация: 0
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#13

Сообщение I Am » 24 июл 2018, 19:48

DesignerMix писал(а):
24 июл 2018, 19:42
DesignerMix писал(а):
24 июл 2018, 19:22
а файл на который ссылается ошибка есть в папке?
нет все удалено

Отправлено спустя 1 минуту 24 секунды:
есть ли возможность сейчас поправить эту ошибку или нужно бекап перезаливать ?

Аватара пользователя

DesignerMix
Администратор
Администратор
Сообщения: 6376
Зарегистрирован: 25 апр 2014, 10:51
Есть ответ: 218
Репутация: 734
Откуда: Белгород
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#14

Сообщение DesignerMix » 24 июл 2018, 20:25

I Am писал(а):
24 июл 2018, 19:49
нет все удалено
загрузите файлы расширения pico на место и повторите его удаление


Автор темы
I Am
Интересующийся
Сообщения: 25
Зарегистрирован: 23 июл 2018, 16:54
Репутация: 0
Контактная информация:
Статус: Не в сети

ошибки при установке приложений

#15

Сообщение I Am » 24 июл 2018, 21:00

DesignerMix писал(а):
24 июл 2018, 20:25
загрузите файлы расширения pico на место и повторите его удаление
все получилось , все работает , спасибо вам большое !! :super:

Ответить

Вернуться в «Движок phpBB»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость